#include "LoopbackPacketSender.h"

auto LoopbackPacketSender::sendToServer(Packet* packet) -> void {
	static auto func = reinterpret_cast<void(__thiscall*)(void*, Packet*)>((*reinterpret_cast<void***>(this))[2]);
	return func(this, packet);
}

auto LoopbackPacketSender::sendToServer2(Packet* packet) -> void {
	static auto func = reinterpret_cast<void(__thiscall*)(void*, Packet*)>((*reinterpret_cast<void***>(this))[4]);
	return func(this, packet);
}

auto LoopbackPacketSender::getNetworkSystem() -> NetworkSystem* {
	return *reinterpret_cast<NetworkSystem**>((uintptr_t)this + 0x20);
}
